: Class TreeTableModelBroadcaster

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.widgets
Class TreeTableModelBroadcaster

    java.lang.Object
      |
      +--grendel.widgets.TreeTableModelBroadcaster

public class TreeTableModelBroadcaster
extends java.lang.Object
implements TreeTableModelListener

Constructor Summary
`TreeTableModelBroadcaster(TreeTableModelListener a, TreeTableModelListener b)`

Method Summary
`static TreeTableModelListener` | `add(TreeTableModelListener a, TreeTableModelListener b)`
`void` | `nodeChanged(TreeTableModelEvent aEvent)`
`void` | `nodeCollapsed(TreeTableModelEvent aEvent)`
`void` | `nodeDeleted(TreeTableModelEvent aEvent)`
`void` | `nodeExpanded(TreeTableModelEvent aEvent)`
`void` | `nodeInserted(TreeTableModelEvent aEvent)`
`TreeTableModelListener` | `remove(TreeTableModelListener c)`
`static TreeTableModelListener` | `remove(TreeTableModelListener a, TreeTableModelListener b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeTableModelBroadcaster

    public TreeTableModelBroadcaster(TreeTableModelListener a,
                                     TreeTableModelListener b)

Method Detail

### add

    public static TreeTableModelListener add(TreeTableModelListener a,
                                             TreeTableModelListener b)

### remove

    public static TreeTableModelListener remove(TreeTableModelListener a,
                                                TreeTableModelListener b)

### remove

    public TreeTableModelListener remove(TreeTableModelListener c)

### nodeExpanded

    public void nodeExpanded(TreeTableModelEvent aEvent)

  Specified by:
    nodeExpanded in interface TreeTableModelListener

### nodeCollapsed

    public void nodeCollapsed(TreeTableModelEvent aEvent)

  Specified by:
    nodeCollapsed in interface TreeTableModelListener

### nodeInserted

    public void nodeInserted(TreeTableModelEvent aEvent)

  Specified by:
    nodeInserted in interface TreeTableModelListener

### nodeDeleted

    public void nodeDeleted(TreeTableModelEvent aEvent)

  Specified by:
    nodeDeleted in interface TreeTableModelListener

### nodeChanged

    public void nodeChanged(TreeTableModelEvent aEvent)

  Specified by:
    nodeChanged in interface TreeTableModelListener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD